XSPICE(1)

NAME
Xspice - X server and SPICE server

DESCRIPTION
usage: Xspice [Xspice and Xorg options intermixed]

X and Spice server. example usage: Xspice --port 5900 --disable-ticketing :1.0

  optional arguments:

-h, --help
    show this help message and exit

--xorg XORG

--auto
    Automatically create a temporary xorg.conf and start the X server

--xsession XSESSION
    If given, will run after Xorg launch. Should be a program like x-session-manager

--config CONFIG

--port PORT
    standard spice port

--exit-on-disconnect
    Exit the X server when any client disconnects

--deferred-fps DEFERRED_FPS
    If given, render to a buffer and send updates only this many times per second

--tls-port TLS_PORT
    spice tls port

--disable-ticketing
    do not require a client password

--sasl
    enable sasl

--x509-dir X509_DIR
    x509 directory for tls

--cacert-file CACERT_FILE
    ca certificate file for tls

--x509-cert-file X509_CERT_FILE
    server certificate file for tls

--x509-key-file X509_KEY_FILE
    server key file for tls

--x509-key-password X509_KEY_PASSWORD
    key file password for tls

--tls-ciphers TLS_CIPHERS

--dh-file DH_FILE

--password PASSWORD
    set password required to connect to server

--image-compression {off,auto_glz,auto_lz,quic,glz,lz}
    auto_glz by default

--jpeg-wan-compression {auto,never,always}
    auto by default

--zlib-glz-wan-compression {auto,never,always}
    auto by default

--streaming-video {off,all,filter}
    filter by default

--ipv4-only

--ipv6-only

--vdagent
    launch vdagent & vdagentd. They provide clipboard & resolution automation

--vdagent-virtio-path VDAGENT_VIRTIO_PATH
    virtio socket path used by vdagentd

--vdagent-uinput-path VDAGENT_UINPUT_PATH
    uinput socket path used by vdagent

--vdagentd-exec VDAGENTD_EXEC
    path to spice-vdagentd (used with --vdagent)

--vdagent-exec VDAGENT_EXEC
    path to spice-vdagent (used with --vdagent)

--vdagent-no-launch
    do not launch vdagent & vdagentd, used for debugging or if some external script wants to take care of that

--vdagent-uid VDAGENT_UID
    set vdagent user id. changing it makes sense only in conjunction with --vdagent-no-launch

--vdagent-gid VDAGENT_GID
    set vdagent group id. changing it makes sense only in conjunction with --vdagent-no-launch

--audio-fifo-dir AUDIO_FIFO_DIR
    set fifo directory for playback audio. designed to work with PulseAudio's module-pipe-sink

Any options not parsed by Xspice get passed to Xorg as is.